/*
   program : SheppLogan, recon, recon2img

   $Source: /home/yee/C/RCS/recon.h,v $
   $Author: yee $
   $Date: 1999/02/10 16:39:47 $
   $Revision: 1.6 $

   Compile Options : none

   Runtime Parameters : none

   Assumptions : none known

   Bugs : none known

   To Do : nothing

   $Log: recon.h,v $
   Revision 1.6  1999/02/10 16:39:47  yee
   *** empty log message ***

   Revision 1.4  1998/08/22 15:37:39  yee
   all geometries work!

   Copyright 1997 by Conway Yee.  All rights reserved.

   char recon[] = "$Id: recon.h,v 1.6 1999/02/10 16:39:47 yee Exp $";
 */

/*****************************************************************************/
/*****************************************************************************/

#ifndef RECON_H
#define RECON_H
                            /* project throught angles of either 2*PI or PI */
#define DEFAULT_ANGLE_TRAVERSED TWO_PI

#define EPSILON 1e-10

     /* factor used to calculate D when simulating PARALLEL data as fan beam */
#define PARALLEL_D_FACTOR 100        /* 500 shown to be too high */

#if defined(DOUBLE)||defined(RECON_DOUBLE) /* single vs. double precision */
#define RECON_FLOAT double
#define RECON_INT   long
#define RECON_COMPLEX lcomplex
#else SINGLE
#define RECON_FLOAT float
#define RECON_INT   int
#define RECON_COMPLEX complex
#endif /* single vs. double precision */

#if defined(RECON_ANGLE_FAN)||defined(RECON_COLIN_FAN)||defined(RECON_PARALLEL_FAN)
#define RECON_FAN                    /* support fan beam reconstruction */
#endif RECON_FAN

#if defined(RECON_PARALLEL) && !defined(RECON_PARALLEL_FAN)
#define RECON_PARALLEL_NATIVE
#endif RECON_PARALLEL_NATIVE

#if defined(RECON_PARALLEL_NATIVE) || defined(RECON_PARALLEL_FAN)
#define RECON_PARALLEL
#endif RECON_PARALLEL

#endif RECON_H
